curl --request POST \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"kind": "publish",
"datetime": "2999-01-01T10:00:00",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'publish',
datetime: '2999-01-01T10:00:00',
time_zone: 'Asia/Kolkata',
publish_note: '<string>'
})
};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules"
payload = {
"kind": "publish",
"datetime": "2999-01-01T10:00:00",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "publish",
"datetime": "2999-01-01T10:00:00+05:30",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
}{
"error": "Not found."
}{
"error": "<string>"
}Schedule article
This API schedules the article to be published or unpublished at a future time. An article holds at most one schedule of each kind. When it has both, the unpublish time must not come after the publish time. For CLI sessions, this needs the Modify articles permission. A publish schedule also needs the Manage articles permission. A synced article cannot be scheduled.
curl --request POST \
--url https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"kind": "publish",
"datetime": "2999-01-01T10:00:00",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
'const options = {
method: 'POST',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: 'publish',
datetime: '2999-01-01T10:00:00',
time_zone: 'Asia/Kolkata',
publish_note: '<string>'
})
};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/articles/{article_id}/schedules"
payload = {
"kind": "publish",
"datetime": "2999-01-01T10:00:00",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"schedule": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "publish",
"datetime": "2999-01-01T10:00:00+05:30",
"time_zone": "Asia/Kolkata",
"publish_note": "<string>"
}
}{
"error": "Not found."
}{
"error": "<string>"
}{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique identifier of the article. Can be the article's slug, permalink, or ID. Refer to Getting the Article ID section for detailed instructions.
Body
Whether the schedule publishes or unpublishes the article.
publish, unpublish "publish"
ISO 8601 date and time in the future. When it has no offset, it is read in time_zone.
"2999-01-01T10:00:00"
IANA time zone name.
"Asia/Kolkata"
Optional note saved with the schedule.